| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | List of all members
gclibjava.GclibJava Class Reference

## Classes
interface | Gclib
| The JNA interface to the gclib library. More...
interface | Gclibo
| The JNA interface to the open source, gclibo library. More...

## Public Member Functions
| GclibJava ()
| Constructor adds gclib to JNA's path.
void | GArrayDownload (String arrayName, List< Double > data) throws GclibJavaException
| Downloads array data to a pre-dimensioned array in the controller's array table.
void | GArrayDownload (String arrayName, List< Double > data, int first, int last) throws GclibJavaException
| Downloads array data to a pre-dimensioned array in the controller's array table.
List< Double > | GArrayUpload (String arrayName) throws GclibJavaException
| Uploads array data from the controller's array table.
List< Double > | GArrayUpload (String arrayName, int first, int last) throws GclibJavaException
| Uploads array data from the controller's array table.
void | GClose ()
| Closes a connection to a Galil Controller.
String | GCommand (String command) throws GclibJavaException
| Performs a command-and-response transaction on the connection.
void | GFirmwareDownload (String filePath) throws GclibJavaException
| Upgrade firmware.
byte | GInterrupt () throws GclibJavaException
| Provides access to PCI and UDP interrupts from the controller.
String | GMessage () throws GclibJavaException
| Provides access to unsolicited messages from the controller.
void | GOpen (String address) throws GclibJavaException
| Open a connection to a Galil Controller.
void | GProgramDownload (String program, String preprocessor) throws GclibJavaException
| Downloads a program to the controller's program buffer.
void | GProgramDownload (String program) throws GclibJavaException
| Downloads a program using default preprocessor options.
String | GProgramUpload () throws GclibJavaException
| Uploads a program from the controller's program buffer.
String | GAddresses () throws GclibJavaException
| Uses GUtility(), G_UTIL_GCAPS_ADDRESSES or G_UTIL_ADDRESSES to provide a listing of all available connection addresses.
void | GArrayDownloadFile (String filePath) throws GclibJavaException
| Array download from file.
void | GArrayUploadFile (String filePath, String names) throws GclibJavaException
| Array upload to file.
void | GArrayUploadFile (String filePath) throws GclibJavaException
| Overload of GArrayUploadFile to upload all arrays.
void | GAssign (String ipAddress, String macAddress) throws GclibJavaException
| Uses GUtility(), G_UTIL_GCAPS_ASSIGN or G_UTIL_ASSIGN to assign an IP address over the Ethernet to a controller at a given MAC address.
String | GInfo () throws GclibJavaException
| Uses GUtility() and G_UTIL_INFO to provide a useful connection string.
String | GIpRequests () throws GclibJavaException
| Uses GUtility(), G_UTIL_GCAPS_IPREQUEST or G_UTIL_IPREQUEST to provide a list of all Galil controllers requesting IP addresses via BOOT-P or DHCP.
void | GProgramDownloadFile (String filePath, String preprocessor) throws GclibJavaException
| Program download from file.
void | GProgramDownloadFile (String filePath) throws GclibJavaException
| Overload of GProgramDownloadFile to use default preprocessor options.
void | GProgramUploadFile (String filePath) throws GclibJavaException
| Program upload to file.
void | GSleep (int timeout_ms)
| Uses GUtility() and G_UTIL_SLEEP to provide a blocking sleep call which can be useful for timing-based chores.
void | GTimeout (short timeout_ms) throws GclibJavaException
| Uses GUtility() and G_UTIL_TIMEOUT_OVERRIDE to set the library timeout.
String | GVersion () throws GclibJavaException
| Uses GUtility(), G_UTIL_VERSION and G_UTIL_GCAPS_VERSION to provide the library and gcaps version numbers.
void | GSetServer (String server_name) throws GclibJavaException
| Connects gclib to a new gcaps server.
String | GServerStatus () throws GclibJavaException
| Retrieves the name of your local gcaps server and whether or not it is currently published Retrieves a list of gcaps servers that are advertising themselves on the local network.
String | GListServers () throws GclibJavaException
| Retrieves a list of gcaps servers that are advertising themselves on the local network.
void | GPublishServer (String server_name, int publish, int save) throws GclibJavaException
| Publishes or removes local gcaps server from the network.
String | GRemoteConnections () throws GclibJavaException
| Returns a list of IP Addresses that currently have an open connection to your hardware.

## Protected Member Functions
void | finalize () throws Throwable
| The last line of defense to close connection.

## Detailed Description

Definition at line 36 of file GclibJava.java.

## Constructor & Destructor Documentation

## ◆ GclibJava()

gclibjava.GclibJava.GclibJava | ( |  | ) |
| inline

Constructor adds gclib to JNA's path.

Definition at line 45 of file GclibJava.java.

## Member Function Documentation

## ◆ finalize()

void gclibjava.GclibJava.finalize | ( |  | ) | throws Throwable
| inline protected

The last line of defense to close connection.

Do NOT rely on finalize(), call GClose() explicitly.

Exceptions

  Throwable | super can throw.

Definition at line 56 of file GclibJava.java.

The documentation for this class was generated from the following file:

- GclibJava.java